Permalink
Browse files

Updating fakeweb dependency

This gem currently needs changes I'm working on to the fakeweb gem.
  • Loading branch information...
1 parent ab2ee86 commit 0e236a3b13544eb7a7e155fdd500b2ac6366873a @ryansch committed Nov 27, 2010
Showing with 13 additions and 6 deletions.
  1. +1 −1 Gemfile
  2. +8 −2 Gemfile.lock
  3. +4 −3 fake_chargify.gemspec
View
@@ -1,6 +1,6 @@
source :rubygems
-gem "fakeweb", "~> 1.3.0"
+gem "fakeweb", :git => "git://github.com/ryansch/fakeweb.git", :branch => "request_block"
group :development do
gem "shoulda", ">= 0"
View
@@ -1,7 +1,13 @@
+GIT
+ remote: git://github.com/ryansch/fakeweb.git
+ revision: 6a5f4d2d0e8e9525870545741e11eaf3a22aa92b
+ branch: request_block
+ specs:
+ fakeweb (1.3.0)
+
GEM
remote: http://rubygems.org/
specs:
- fakeweb (1.3.0)
git (1.2.5)
jeweler (1.5.1)
bundler (~> 1.0.0)
@@ -17,7 +23,7 @@ PLATFORMS
DEPENDENCIES
bundler (~> 1.0.0)
- fakeweb (~> 1.3.0)
+ fakeweb!
jeweler (~> 1.5.1)
rcov
rspec (~> 1.3.1)
View
@@ -23,6 +23,7 @@ Gem::Specification.new do |s|
"README",
"Rakefile",
"VERSION",
+ "fake_chargify.gemspec",
"init.rb",
"install.rb",
"lib/fake_chargify.rb",
@@ -40,22 +41,22 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<fakeweb>, ["~> 1.3.0"])
+ s.add_runtime_dependency(%q<fakeweb>, [">= 0"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.1"])
s.add_development_dependency(%q<rcov>, [">= 0"])
s.add_development_dependency(%q<rspec>, ["~> 1.3.1"])
else
- s.add_dependency(%q<fakeweb>, ["~> 1.3.0"])
+ s.add_dependency(%q<fakeweb>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.1"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 1.3.1"])
end
else
- s.add_dependency(%q<fakeweb>, ["~> 1.3.0"])
+ s.add_dependency(%q<fakeweb>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.1"])

0 comments on commit 0e236a3

Please sign in to comment.